{% extends 'planner/base.html' %}

{% block content %}

{% if form.errors %}
<p>Your username and password didn't match. Please try again.</p>
{% endif %}

{% if next %}
    {% if user.is_authenticated %}
    <p>Your account doesn't have access to this page. To proceed,
    please login with an account that has access.</p>
    {% else %}
    <p>Please login to see this page.</p>
    {% endif %}
{% endif %}


<form method="post" action="{% url 'login' %}">
{% csrf_token %}
    <div class="col-sm-3 mb-3">
        <label for="username" class="form-label">Username</label>
        <input name="username" class="form-control" type="text" size="20" id="username">
    </div>
    <div class="col-sm-3 mb-3">
        <label for="password" class="form-label">Password</label>
        <input name="password" class="form-control" type="password" size="20" id="password">
    </div>
 <button type="submit" value="login" class="btn btn-primary mb3">Submit</button>
 <input type="hidden" name="next" value="{{ next }}">
</form>


{# Assumes you set up the password_reset view in your URLconf #}
<p class="mt-3 mb-3"><a href="{% url 'password_reset' %}">Lost password?</a></p>

{% endblock %}